<!-- TODO: Was ist Flutter? -->

# Flutter

Die zunehmende Verbreitung mobiler Geräte und Betriebssysteme
stellt die effiziente Anwendungsentwicklung vor Herausforderungen.
Plattformübergreifende Frameworks wie Flutter zielen darauf ab,
diese Herausforderungen zu mildern, indem sie ein einheitliches
Toolset zum Erstellen von Benutzeroberflächen (UIs) bereitstellen,
die nahtlos über verschiedene Plattformen hinweg funktionieren.
Dieses Kapitel befasst sich mit der grundlegenden Architektur,
den Vorteilen und Überlegungen zur Verwendung von Flutter für
die Anwendungsentwicklung. [@theflutterwayFlutterRubberDuck2022]

Was ist Flutter [@FlutterArchitecturalOverviewb]

test [@weiserComputer21stCentury1999]

```{#test .dart .number-lines caption="Example Dart test"}
import 'package:retry/retry.dart';

final response = await retry(
  // Make a GET request
  () => http.get('https://google.com').timeout(Duration(seconds: 5)),
  // Retry on SocketException or TimeoutException
  retryIf: (e) => e is SocketException || e is TimeoutException,
);
print(response.body);
```

Nice Dart highlighting!

![](./assets/skizzen/led.png)

WORKING :)
